<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, hnqz All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the pig4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: hnqz
  ~
  -->
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.qunzhixinxi</groupId>
	<artifactId>hnqz</artifactId>
	<version>3.9.0</version>
	<name>${project.artifactId}</name>
	<packaging>pom</packaging>
	<organization>
		<name>pig4cloud</name>
		<url>https://www.pig4cloud.com</url>
	</organization>

	<properties>
		<spring-boot.version>2.3.12.RELEASE</spring-boot.version>
		<spring-cloud.version>Hoxton.SR8</spring-cloud.version>
		<spring-cloud-alibaba.version>2.2.1.RELEASE</spring-cloud-alibaba.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven.compiler.version>3.8.1</maven.compiler.version>
		<spring.checkstyle.version>0.0.22</spring.checkstyle.version>
		<git.commit.version>2.2.5</git.commit.version>
		<spring-boot-admin.version>2.2.3</spring-boot-admin.version>
		<hutool.version>5.7.7</hutool.version>
		<kaptcha.version>1.2.0</kaptcha.version>
		<swagger.fox.version>2.9.2</swagger.fox.version>
		<knife4j.version>2.0.3</knife4j.version>
		<velocity.version>1.7</velocity.version>
		<lcn.version>4.1.0</lcn.version>
		<jasypt.version>2.1.1</jasypt.version>
		<ttl.version>2.11.4</ttl.version>
		<aws.version>1.11.543</aws.version>
		<xxl.job.version>2.2.0</xxl.job.version>
		<activiti.version>5.22.0</activiti.version>
		<docker.registry>172.17.0.111</docker.registry>
		<docker.host>http://172.17.0.111:2375</docker.host>
		<docker.namespace>library</docker.namespace>
		<docker.username>admin</docker.username>
		<docker.password>Harbor12345</docker.password>
		<docker.plugin.version>0.32.0</docker.plugin.version>
		<!--  默认忽略docker构建 -->
		<docker.skip>true</docker.skip>
	</properties>

	<dependencies>
		<!--配置文件处理器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-configuration-processor</artifactId>
			<optional>true</optional>
		</dependency>
		<!--jasypt配置文件加解密-->
		<dependency>
			<groupId>com.github.ulisesbocchio</groupId>
			<artifactId>jasypt-spring-boot-starter</artifactId>
			<version>${jasypt.version}</version>
		</dependency>
		<!--监控-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>
		<!--监控客户端-->
		<dependency>
			<groupId>de.codecentric</groupId>
			<artifactId>spring-boot-admin-starter-client</artifactId>
			<version>${spring-boot-admin.version}</version>
		</dependency>
		<!--Lombok-->
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<scope>provided</scope>
		</dependency>
		<!--测试依赖-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<modules>
		<module>hnqz-register</module>
		<module>hnqz-gateway</module>
		<module>hnqz-auth</module>
		<module>hnqz-upms</module>
		<module>hnqz-common</module>
		<module>hnqz-visual</module>
	</modules>

	<dependencyManagement>
		<dependencies>
			<!--hnqz 公共版本定义-->
			<dependency>
				<groupId>com.qunzhixinxi</groupId>
				<artifactId>hnqz-common-bom</artifactId>
				<version>${project.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--spring boot 公共版本定义-->
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-dependencies</artifactId>
				<version>${spring-boot.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--spring cloud 公共版本定义-->
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-dependencies</artifactId>
				<version>${spring-cloud.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--spring cloud alibaba-->
			<dependency>
				<groupId>com.alibaba.cloud</groupId>
				<artifactId>spring-cloud-alibaba-dependencies</artifactId>
				<version>${spring-cloud-alibaba.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--web 模块-->
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-starter-web</artifactId>
				<version>${spring-boot.version}</version>
				<exclusions>
					<!--排除tomcat依赖-->
					<exclusion>
						<artifactId>spring-boot-starter-tomcat</artifactId>
						<groupId>org.springframework.boot</groupId>
					</exclusion>
				</exclusions>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<build>
		<finalName>${project.name}</finalName>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<pluginManagement>
			<plugins>
				<!--spring boot 默认插件-->
				<plugin>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-maven-plugin</artifactId>
					<version>${spring-boot.version}</version>
					<executions>
						<execution>
							<goals>
								<goal>repackage</goal>
							</goals>
						</execution>
					</executions>
				</plugin>
				<!--maven  docker 打包插件 -->
				<plugin>
					<groupId>io.fabric8</groupId>
					<artifactId>docker-maven-plugin</artifactId>
					<version>${docker.plugin.version}</version>
					<configuration>
						<dockerHost>${docker.host}</dockerHost>
						<registry>${docker.registry}</registry>
						<authConfig>
							<push>
								<username>${docker.username}</username>
								<password>${docker.password}</password>
							</push>
						</authConfig>
						<images>
							<image>
								<name>${docker.registry}/${docker.namespace}/${project.name}:${project.version}</name>
								<build>
									<dockerFile>${project.basedir}/Dockerfile</dockerFile>
								</build>
							</image>
						</images>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
		<plugins>
			<!--代码格式插件，默认使用spring 规则-->
			<plugin>
				<groupId>io.spring.javaformat</groupId>
				<artifactId>spring-javaformat-maven-plugin</artifactId>
				<version>${spring.checkstyle.version}</version>
			</plugin>
			<!--代码编译指定版本插件-->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>${maven.compiler.version}</version>
				<configuration>
					<target>${maven.compiler.target}</target>
					<source>${maven.compiler.source}</source>
					<encoding>UTF-8</encoding>
					<skip>true</skip>
				</configuration>
			</plugin>
			<!--打包关联最新 git commit 信息插件-->
			<plugin>
				<groupId>pl.project13.maven</groupId>
				<artifactId>git-commit-id-plugin</artifactId>
				<version>${git.commit.version}</version>
			</plugin>
		</plugins>
	</build>

	<pluginRepositories>
		<pluginRepository>
			<id>aliyun-plugin</id>
			<url>https://maven.aliyun.com/repository/public</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>

	<repositories>
		<!--阿里云代理-->
		<repository>
			<id>aliyun</id>
			<name>aliyun</name>
			<url>http://maven.aliyun.com/nexus/content/groups/public</url>
		</repository>
	</repositories>


	<profiles>
		<profile>
			<id>dev</id>
			<properties>
				<!-- 环境标识，需要与配置文件的名称相对应 -->
				<profiles.active>dev</profiles.active>
				<profiles.namespace>639c1543-7221-46c9-a3ab-8993a6c44b19</profiles.namespace>
				<profiles.auth.port>3000</profiles.auth.port>
				<profiles.gateway.port>9999</profiles.gateway.port>
				<prefiles.upms.biz.port>4000</prefiles.upms.biz.port>
				<profiles.daemon.quartz.port>5007</profiles.daemon.quartz.port>
			</properties>
			<activation>
				<!-- 默认环境 -->
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<profiles.active>test</profiles.active>
				<profiles.namespace>842ded71-0bc3-41fe-8a64-460c9d091fdc</profiles.namespace>
				<profiles.auth.port>3000</profiles.auth.port>
				<profiles.gateway.port>9999</profiles.gateway.port>
				<prefiles.upms.biz.port>4000</prefiles.upms.biz.port>
				<profiles.daemon.quartz.port>5007</profiles.daemon.quartz.port>
			</properties>
		</profile>
		<profile>
			<id>pre</id>
			<properties>
				<profiles.active>pre</profiles.active>
				<profiles.namespace>dad4fedb-3a24-4560-b6cf-d9aafa3adc71</profiles.namespace>
				<profiles.auth.port>7001</profiles.auth.port>
				<profiles.gateway.port>7002</profiles.gateway.port>
				<prefiles.upms.biz.port>7003</prefiles.upms.biz.port>
				<profiles.daemon.quartz.port>7004</profiles.daemon.quartz.port>
			</properties>
		</profile>
		<profile>
			<id>pro</id>
			<properties>
				<profiles.active>pro</profiles.active>
				<profiles.namespace>e2658ecc-4abf-418e-bd91-6e8366fd0912</profiles.namespace>
				<profiles.auth.port>3000</profiles.auth.port>
				<profiles.gateway.port>9999</profiles.gateway.port>
				<prefiles.upms.biz.port>4000</prefiles.upms.biz.port>
				<profiles.daemon.quartz.port>5007</profiles.daemon.quartz.port>
			</properties>
		</profile>
		<profile>
			<id>local</id>
			<properties>
				<profiles.active>local</profiles.active>
				<profiles.namespace>4f0d7def-4521-48aa-9357-fc970756c195</profiles.namespace>
				<profiles.auth.port>3000</profiles.auth.port>
				<profiles.gateway.port>9999</profiles.gateway.port>
				<prefiles.upms.biz.port>4000</prefiles.upms.biz.port>
				<profiles.daemon.quartz.port>5007</profiles.daemon.quartz.port>
			</properties>
		</profile>
	</profiles>
</project>